package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.common.base.BaseController;
import com.community.huiju.service.IMqMessageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "订阅事件",description = "订阅事件")
public class MqMessageController extends BaseController {

    @Autowired
    private IMqMessageService iMqMessageService;

    @ApiOperation(value = "统计开门次数", notes = "统计开门次数")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "header",dataType = "String",name = "X-Auth-Token",value = "Token"),
    })
    @RequestMapping(value = "/mq/open",method = RequestMethod.GET)
    public ResponseBean getOpenDoor(){
        ResponseBean responseBean = new ResponseBean();
        responseBean = iMqMessageService.selectOpenDoorCount();
        return responseBean;
    }

}
