package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 物业web端二手交易表
 * </p>
 *
 * @author jobob
 * @since 2018-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_transaction")
public class TpTransaction implements Serializable {

    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 住户app的用户id
     */
    private Integer taUserId;

    /**
     * 交易标题
     */
    private String transactionTitle;

    /**
     * 交易内容
     */
    private String transactionContent;

    /**
     * 查看人数
     */
    private Integer viewCount;

    /**
     * 0 是已作废 1 是已发布   
     */
    private String status;

    /**
     * 0 代表 二手（卖二手物品）  1 是代表 求购 （买二手物品） 2 是代表 租赁（租二手物品）
     */
    private String type;

    /**
     * 是否被举报 1是被举报 0或null是没被举报
     */
    private String isReported;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;
    
    /**
     * 创建人
     */
    private String userName;


}
