package com.community.huiju.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.TdImagesMapper;
import com.community.huiju.dao.TpAnnouncementMapper;
import com.community.huiju.dao.UserMapper;
import com.community.huiju.model.TdImages;
import com.community.huiju.model.TpAnnouncement;
import com.community.huiju.model.TpBuildingOwnerInfo;
import com.community.huiju.model.User;
import com.community.huiju.service.TpAnnouncementService;
import com.community.huiju.vo.AnnouncementTable;
import com.google.common.collect.Maps;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2018/12/28
 **/
@Slf4j
@Transactional
@Service
public class TpAnnouncementServiceImpl extends ServiceImpl<TpAnnouncementMapper, TpAnnouncement> implements TpAnnouncementService {

@Autowired
private  TpAnnouncementMapper tpAnnouncementMapper;

@Autowired
private TdImagesMapper imagesMapper;

    @Autowired
    private UserMapper userMapper;
    @Override
    public ResponseBean tpAnnouncemenList(String paramets, Integer CommunityId) {
        ResponseBean responseBean = new ResponseBean();

        TpAnnouncement   tpAnnouncement= JSONObject.parseObject(paramets, TpAnnouncement.class);
        tpAnnouncement.setCommunityId(CommunityId);
        JSONObject jsonobject = JSONObject.parseObject(paramets);
        Integer pageNum = jsonobject.getInteger("pageNum");
        Integer announcementNumber = jsonobject.getInteger("announcementNumber");
        Integer pageSize = jsonobject.getInteger("pageSize");
        tpAnnouncement.setId(announcementNumber);
        // 分页
        Page<TpBuildingOwnerInfo> page = new Page<>();
        page.setSize(pageSize == null ? 10 : pageSize);
        page.setCurrent(pageNum == null ? 1 : pageNum);
        // page.setDesc("sort", "create_date");

        IPage<TpAnnouncement> pageInfo = tpAnnouncementMapper.getAnnouncements(page,tpAnnouncement);
        List<TpAnnouncement> tpAnnouncementList = pageInfo.getRecords();

        List<AnnouncementTable> tableList = tpAnnouncementList.stream().map(e->{
            AnnouncementTable announcementTable = new AnnouncementTable();
            BeanUtils.copyProperties(e, announcementTable);
            //创建人
            String createUserName = userMapper.selectByIdCreateUserName(e.getUpdateUser());
            //修改人
            String updateDateName = userMapper.selectByIdCreateUserName(e.getCreateUser());
            announcementTable.setCreateUserName(createUserName);
            announcementTable.setUpdateDateName(updateDateName);
            return announcementTable;
        }).collect(Collectors.toList());

        Map<String, Object> map = Maps.newHashMap();
        map.put("list", tableList);
        map.put("total", pageInfo.getTotal());
        map.put("pageNum", pageInfo.getCurrent());
        map.put("pageSize", pageInfo.getSize());
        responseBean.addSuccess(map);
        return responseBean;
    }

    @Override
    public ResponseBean addAnnouncement(String paramets, Integer communityId) {
        ResponseBean response = new ResponseBean();
        JSONObject jsonobject = JSONObject.parseObject(paramets);
        TpAnnouncement   tpAnnouncement= JSONObject.parseObject(paramets, TpAnnouncement.class);
                         tpAnnouncement.setCommunityId(communityId);
        String announcementContentImg = jsonobject.getString("announcementContentImg");

        if (tpAnnouncement.getAnnouncementTitle()==null){
             response.addError("标题不能为空");
             return response;
        }
        if (null!=tpAnnouncement.getAnnouncementContent()&&null!=announcementContentImg){
            response.addError("内容和图片必须填一个");
            return response;
        }
        tpAnnouncementMapper.insert(tpAnnouncement);

        //添加类容图片
        TdImages tdImages=new TdImages();
        tdImages.setImageUrl("announcementContentImg");
        tdImages.setType("announcement");
        tdImages.setUuid(tpAnnouncement.getId());
        imagesMapper.insert(tdImages);

        return response;
    }
}
