import request from '@/utils/request'

//  查询 楼栋/单元/楼层/户号
export function buildingAddress(data) {
  const config = {
    url: '/building/address',
    method: 'post',
    data: {
      building: data.building,
      unit: data.unit,
      level: data.level,
      roomNo: data.roomNo
    }
  }
  return request(config)
}

// 获取楼栋业主信息列表
export function buildingList(data) {
  return request({
    url: '/building/list',
    method: 'post',
    data: {
      building: data.building,
      unit: data.unit,
      level: data.level,
      roomNo: data.roomNo,
      ownerName: data.ownerName,
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}
// 认证通过业主信息
export function userPassCertification(data) {
  return request({
    url: 'userPassCertification',
    method: 'post',
    data: {
      ownerName: data.ownerName,
      ownerTel: data.ownerTel,
      pageNum: data.pageNum,
      pageSize: data.pageSize,
      verifyStatus: data.verifyStatus
    }
  })
}
// 修改停用或启用
export function updataPassCertification(data) {
  console.log('api: ', data)
  return request({
    url: '/updataPassCertification',
    method: 'post',
    data: {
      ownerTel: data.ownerTel,
      verifyStatus: data.verifyStatus
    }
  })
}

// 批量删除 楼栋业主信息
export function deleteBuilding(data) {
  return request({
    url: '/building/delete',
    method: 'delete',
    data
  })
}

// 添加楼栋业主信息
export function addBuilding(data) {
  return request({
    url: '/building/add',
    method: 'post',
    data: {
      building: data.building,
      unit: data.unit,
      level: data.level,
      roomNo: data.roomNo,
      ownerName: data.ownerName,
      ownerTel: data.ownerTel
    }
  })
}

// 修改楼栋业主信息
export function updateBuilding(data) {
  return request({
    url: '/building/update',
    method: 'put',
    data: {
      id: data.id,
      building: data.building,
      unit: data.unit,
      level: data.level,
      roomNo: data.roomNo,
      ownerName: data.ownerName,
      ownerTel: data.ownerTel
    }
  })
}

// 根据楼栋信息 id 查询
export function getByIdBuildingId(buildingId) {
  return request({
    url: '/building/' + buildingId,
    method: 'get'
  })
}

