import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import user from './modules/user'
import banner from './modules/banner'
import community from './modules/community'
import trunkIndex from './modules/trunkIndex'
import batchImport from './modules/batchImport'
import transaction from './modules/transaction'
import getters from './getters'
import announcement from './modules/announcement'
import buildingOwnerInfo from './modules/buildingOwnerInfo'
import activity from './modules/activity'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    user,
    community,
    banner,
    trunkIndex,
    batchImport,
    buildingOwnerInfo,
    announcement,
    activity,
    transaction
  },
  getters
})

export default store
