import { fetchList } from '@/api/transaction'

const transaction = {
  namespaced: true,
  state: {
    total: '',
    transactionList: []
  },

  mutations: {
    SET_LIST: (state, list) => {
      state.transactionList = list
    },
    SET_TOTAL: (state, total) => {
      state.total = total
    }
  },

  actions: {
    // fetchList,获取社区列表
    FetchTransactionList({ commit }, listQuery) {
      return new Promise((resolve, reject) => {
        fetchList(listQuery).then(response => {
          const data = response.data
          commit('SET_LIST', data.list)
          commit('SET_TOTAL', data.total)
          resolve()
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default transaction
